summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2022-03-26 13:47:24 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2022-03-26 13:47:24 +0000
commitbfa29155f15043f788c4beb3e01d5ad429848832 (patch)
tree305b2febfac245ecd7bbb8cbf2e72372818e8ad4 /dev-python
parent72ff664c3113984c107d989d8cda2bce975e2752 (diff)
downloadbaldeagleos-repo-bfa29155f15043f788c4beb3e01d5ad429848832.tar.gz
baldeagleos-repo-bfa29155f15043f788c4beb3e01d5ad429848832.tar.xz
baldeagleos-repo-bfa29155f15043f788c4beb3e01d5ad429848832.zip
Adding metadata
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/boto3/Manifest1
-rw-r--r--dev-python/boto3/boto3-1.21.27.ebuild63
-rw-r--r--dev-python/botocore/Manifest1
-rw-r--r--dev-python/botocore/botocore-1.24.27.ebuild68
-rw-r--r--dev-python/etuples/Manifest1
-rw-r--r--dev-python/etuples/etuples-0.3.5.ebuild30
-rw-r--r--dev-python/immutables/Manifest1
-rw-r--r--dev-python/immutables/immutables-0.17.ebuild32
-rw-r--r--dev-python/importlib_resources/Manifest1
-rw-r--r--dev-python/importlib_resources/importlib_resources-5.6.0.ebuild43
-rw-r--r--dev-python/jc/Manifest6
-rw-r--r--dev-python/jc/jc-1.17.7.ebuild25
-rw-r--r--dev-python/jc/jc-1.18.1.ebuild25
-rw-r--r--dev-python/jc/jc-1.18.3.ebuild26
-rw-r--r--dev-python/jc/jc-1.18.4.ebuild26
-rw-r--r--dev-python/jc/jc-1.18.6.ebuild (renamed from dev-python/jc/jc-1.18.2.ebuild)0
-rw-r--r--dev-python/tifffile/Manifest1
-rw-r--r--dev-python/tifffile/tifffile-2022.3.25.ebuild52
-rw-r--r--dev-python/virtualenv/Manifest1
-rw-r--r--dev-python/virtualenv/virtualenv-20.14.0.ebuild99
-rw-r--r--dev-python/xdoctest/Manifest1
-rw-r--r--dev-python/xdoctest/xdoctest-1.0.0.ebuild35
22 files changed, 431 insertions, 107 deletions
diff --git a/dev-python/boto3/Manifest b/dev-python/boto3/Manifest
index cfd15d2b6512..4d1e7a5eb9de 100644
--- a/dev-python/boto3/Manifest
+++ b/dev-python/boto3/Manifest
@@ -2,4 +2,5 @@ DIST boto3-1.21.15.tar.gz 476516 BLAKE2B 306c7ee69dec5ff1fbd76ed32aaebdf0f52cdc4
DIST boto3-1.21.22.tar.gz 479768 BLAKE2B 3ae647a4c06cb9f7c4c32216dba439ce8bbf346fccf5a8651c08b398bcb7fdb0a4ac81c8d311625d0f50634b90c2f8a02160a19435db836ad05edf0d998a148d SHA512 583a49907339fdb8bb1deaec7683dad6bd0c2836a05cc317a8fc97a17e7b79fd114677fd6342cf6f96b1140bf1bcf9ca0fb1fd3af1c86600e6cfba5bbbf21ec2
DIST boto3-1.21.25.tar.gz 482117 BLAKE2B 7f4823fa6045addb4b4ed01e83d1095e9f56dac7c232c5cc744cd956ce0c9840bf70a2901cf4094b0b403ba38129529880b1f1c91d26e9d85db9ca714cfc447b SHA512 2571098f20054d09e691adef67f518321349a55ae3f6eaf3b4ae1d58eefe2e61c67f1bce79366dd017bbaa86e8ffebea12f0d22c712f0b00487fe39e169ce115
DIST boto3-1.21.26.tar.gz 482624 BLAKE2B 19f38b86eab6363ff86febc9f7623def010314a70e3d88c405bf641a4cd0b2de390fb69f5205c5df2e7d71c80a31989efbc64c442bd02d3d2a5efb7ee937596d SHA512 85848df7f5863df5ddc97be29f734bbdff54d195d5d1e465b35f3693b8196c03422b9a8024a2ecdaead40a4ddd1742c06e9d2e5b90fd4de28dffd6609f209dfb
+DIST boto3-1.21.27.tar.gz 482968 BLAKE2B f8dbabe73377a861cf1d3d2e9388f7ba91f2047d8ce792b44a10693e5b0575924b3abbd8ec2b72d0c3b9a553bb088fc17dc4cd23b571f375db45737376931a46 SHA512 54bb43022ba12fc7b5c54872632cd46c07c6f167246917b5413cdd30de6c327bc625410cdfe62f4ff257ad7c42da762d2bcec5515367e214131259ddc69a9061
DIST boto3-1.21.8.tar.gz 473069 BLAKE2B f08f76fb9c4e56e6ba5624c885973599505769d7f9eea6e20a06e1a641768b1f7b108fc7293282a55bf4c7d2b62eb34853f46b8c3ada9afb8fc25624daa60c12 SHA512 23ed88dcaefe3224db05959251befaae4f03859bf00daf649db1e838e5fb92e01a6da4bee8083366d804404aac358df19d7e4552d6aaf39f9c4b371ccc7f9088
diff --git a/dev-python/boto3/boto3-1.21.27.ebuild b/dev-python/boto3/boto3-1.21.27.ebuild
new file mode 100644
index 000000000000..80278b309f54
--- /dev/null
+++ b/dev-python/boto3/boto3-1.21.27.ebuild
@@ -0,0 +1,63 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+
+inherit distutils-r1 multiprocessing
+
+DESCRIPTION="The AWS SDK for Python"
+HOMEPAGE="https://github.com/boto/boto3"
+LICENSE="Apache-2.0"
+SLOT="0"
+
+if [[ "${PV}" == "9999" ]]; then
+ EGIT_REPO_URI="https://github.com/boto/boto3"
+ inherit git-r3
+ BOTOCORE_PV=${PV}
+else
+ SRC_URI="https://github.com/boto/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+ KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux"
+
+ # botocore is x.(y+3).z
+ BOTOCORE_PV="$(ver_cut 1).$(( $(ver_cut 2) + 3)).$(ver_cut 3-)"
+fi
+
+RDEPEND="
+ >=dev-python/botocore-${BOTOCORE_PV}[${PYTHON_USEDEP}]
+ >=dev-python/jmespath-0.7.1[${PYTHON_USEDEP}]
+ >=dev-python/s3transfer-0.3.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_sphinx docs/source \
+ 'dev-python/guzzle_sphinx_theme'
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # don't lock versions to narrow ranges
+ sed -e '/botocore/ d' \
+ -e '/jmespath/ d' \
+ -e '/s3transfer/ d' \
+ -i setup.py || die
+
+ # do not rely on bundled deps in botocore (sic!)
+ find -name '*.py' -exec sed -i \
+ -e 's:from botocore[.]vendored import:import:' \
+ -e 's:from botocore[.]vendored[.]:from :' \
+ {} + || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ epytest tests/{functional,unit} \
+ -n "$(makeopts_jobs "${MAKEOPTS}" "$(get_nproc)")"
+}
diff --git a/dev-python/botocore/Manifest b/dev-python/botocore/Manifest
index d2dae72b9c0d..457050bb3d24 100644
--- a/dev-python/botocore/Manifest
+++ b/dev-python/botocore/Manifest
@@ -2,4 +2,5 @@ DIST botocore-1.24.15.tar.gz 8820413 BLAKE2B 1a842d811b0471ee6881fc6fbae97269126
DIST botocore-1.24.22.tar.gz 8839717 BLAKE2B 7b3843900da913561ab2a99f7371139cd8fd89a2eb52a90b33f8fb4c0449ff23a00f56347a2916b271346acf2c0721af0a9695bff3663888aa87c790705ce4c3 SHA512 070222b5eca46fa5463620af63816bc8813c717a56b4c41294556130390959ac14570a1256542f145a5b36727ced9657b386fcd5f538d64912c8a9f049673bd6
DIST botocore-1.24.25.tar.gz 8852839 BLAKE2B feb0f5de1d34b9f5a1b20f76480f432059c74293c70d310234beb8515741883d639dc54d7843d47e03aa107846d1a83af29fb98e6cc519aea289841a17464f56 SHA512 d2bb402bff2af857d433b379d81b727120543de6a5cf3d13f0c5dd60cef219fd5ea6362156c5284bb06860ec2ca0f1823fce4dccda03e4213eb737e45470ca0d
DIST botocore-1.24.26.tar.gz 8855676 BLAKE2B ad8e82872429043a9a80d6584a5a8af623ce91b516c045284b8ea618629c7cf65195433691db7eced91969ccb14fc8c7f57956897b528c6861fe84175d46286b SHA512 2f08bcd1db6b9a5ede68be204d68f8fa0f1c906ca8d7dccb69d5775a66f86c990788970194058973a90ada928914ec92cf02d4cba30a85c7619bb38d3b117268
+DIST botocore-1.24.27.tar.gz 8856607 BLAKE2B aa149a79106bc6e9460d2b69b032b20d0fcd9b0a4d7dda04ac656e0681aff378267f5c6bde4e64432f309ad4ed89ff8cae50b0dc92f01086f8fbe433e5347ad3 SHA512 1cdeb2926bfdd54eb6805295982891cb02005c01ee74e3394d8680e486fd924f73322fb9ae56730deaf360b0e60c9fd482759d597eadb3dc180cb099beff487c
DIST botocore-1.24.8.tar.gz 8798121 BLAKE2B 4ca37ed7be0af62901bf154f75739cc7e07505a809e551884c72d5b5eed334fff1111fc6db016df522564a1f3d9b6f258e8eca96161a734711340bf880b553b5 SHA512 6ac2139694ab199313a0fb9a2f783b12de7f3915d10cba739f4758356a3b84a917c3c394954b6d82d7a62de907c6fe57a3559e2b9a625bb0479e7bacd31d21cc
diff --git a/dev-python/botocore/botocore-1.24.27.ebuild b/dev-python/botocore/botocore-1.24.27.ebuild
new file mode 100644
index 000000000000..5fe8ae8c2f96
--- /dev/null
+++ b/dev-python/botocore/botocore-1.24.27.ebuild
@@ -0,0 +1,68 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+
+inherit distutils-r1 multiprocessing
+
+DESCRIPTION="Low-level, data-driven core of boto 3"
+HOMEPAGE="https://github.com/boto/botocore"
+LICENSE="Apache-2.0"
+SLOT="0"
+
+if [[ "${PV}" == "9999" ]]; then
+ EGIT_REPO_URI="https://github.com/boto/botocore"
+ inherit git-r3
+else
+ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+ KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux"
+fi
+
+RDEPEND="
+ dev-python/six[${PYTHON_USEDEP}]
+ <dev-python/jmespath-2[${PYTHON_USEDEP}]
+ dev-python/python-dateutil[${PYTHON_USEDEP}]
+ >=dev-python/urllib3-1.25.4[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/jsonschema[${PYTHON_USEDEP}]
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ )
+"
+
+PATCHES=(
+ "${FILESDIR}/1.8.6-tests-pass-all-env-vars-to-cmd-runner.patch"
+)
+
+distutils_enable_sphinx docs/source \
+ 'dev-python/guzzle_sphinx_theme'
+distutils_enable_tests pytest
+
+src_prepare() {
+ # unpin deps
+ sed -i -e "s:>=.*':':" setup.py || die
+
+ # unbundle deps
+ rm -r botocore/vendored || die
+ find -name '*.py' -exec sed -i \
+ -e 's:from botocore[.]vendored import:import:' \
+ -e 's:from botocore[.]vendored[.]:from :' \
+ {} + || die
+
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # rely on bundled six
+ tests/functional/test_six_imports.py::test_no_bare_six_imports
+ tests/functional/test_six_threading.py::test_six_thread_safety
+ )
+
+ epytest tests/{functional,unit} \
+ -n "$(makeopts_jobs "${MAKEOPTS}" "$(get_nproc)")"
+}
diff --git a/dev-python/etuples/Manifest b/dev-python/etuples/Manifest
index 35627724877b..a16fbe5edd09 100644
--- a/dev-python/etuples/Manifest
+++ b/dev-python/etuples/Manifest
@@ -1 +1,2 @@
DIST etuples-0.3.4.gh.tar.gz 44650 BLAKE2B 4d0e7235d010ff10e01d4143858bbc2ee1516f66db35fb9c6acf054df898a605a49dc82e4eeaddcb7ab6e5ea9bbd5dec493ac5d1741c4d595756e0f4af0ed1c1 SHA512 4e2c2884cd741a1e85358678347dc65c994583ff700c6a1adaa561bd4446035ccca2e27855fbb5842012f7e2bfa90ef7fa1634e9b3cc43cf9c7006acd7b66595
+DIST etuples-0.3.5.gh.tar.gz 44924 BLAKE2B 81b603c851b89b3ec3556246d7dfc12a533632f4e99f8b784c4b9f46c3ee51fe7d370556e376a957e52c980b6e16fc93d85c597d31cee371fa2e5cbeec962c9e SHA512 df51ff42609a341c42009b650dadac2a6fb8ea85c3ccc6145ee2bdf6270ed9509d73196f8b0b789091918e93492f766d5fc242e2d5acc30074c171a2334a42fa
diff --git a/dev-python/etuples/etuples-0.3.5.ebuild b/dev-python/etuples/etuples-0.3.5.ebuild
new file mode 100644
index 000000000000..6489aa591267
--- /dev/null
+++ b/dev-python/etuples/etuples-0.3.5.ebuild
@@ -0,0 +1,30 @@
+# Copyright 2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+
+inherit distutils-r1
+
+DESCRIPTION="Python S-expression emulation using tuple-like objects"
+HOMEPAGE="
+ https://pypi.org/project/etuples/
+ https://github.com/pythological/etuples/
+"
+SRC_URI="
+ https://github.com/pythological/etuples/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~riscv ~x86"
+
+RDEPEND="
+ dev-python/cons[${PYTHON_USEDEP}]
+ dev-python/multipledispatch[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
diff --git a/dev-python/immutables/Manifest b/dev-python/immutables/Manifest
index a6f990f5294b..403c1694072c 100644
--- a/dev-python/immutables/Manifest
+++ b/dev-python/immutables/Manifest
@@ -1 +1,2 @@
DIST immutables-0.16.tar.gz 84916 BLAKE2B e699aaa1135fa9f7db9589276dc0801a67c5f98bd3c5b247913d8263f9baf02a8772d7715cc3eb2c9392694d48d3808d50f45e9fe8e66c4d507586d0e3fdc319 SHA512 5b883cfe43f8a042b617e719dccd3cbdded3b1d1df160ba26b6bb2f0816a7171698bdd2ba3d450e76f135b236e777052a22c09b8bd1a9183227f1ccc90617cf8
+DIST immutables-0.17.gh.tar.gz 84660 BLAKE2B 475042d6342e3ffe5b4aa68e2e8c27a438658214ec2aa6439e077d59d2e2257313f644f535ebfbdb171b0e7dac33cde590f8a84a8da9da717b249e5b2e11ca92 SHA512 d5853de6b7c6064c93b6dbf66819873c982dd2e155ddcbf6b5dd321475374e9f52eb683c853a6944c71ca15fb194ac9480ad2d444407c885ee574c244c4f081a
diff --git a/dev-python/immutables/immutables-0.17.ebuild b/dev-python/immutables/immutables-0.17.ebuild
new file mode 100644
index 000000000000..ec2584457b16
--- /dev/null
+++ b/dev-python/immutables/immutables-0.17.ebuild
@@ -0,0 +1,32 @@
+# Copyright 2019-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+
+inherit distutils-r1
+
+DESCRIPTION="A high-performance immutable mapping type for Python"
+HOMEPAGE="https://github.com/MagicStack/immutables"
+SRC_URI="
+ https://github.com/MagicStack/${PN}/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~riscv ~sparc ~x86"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ sed -i -e '/mypy/d' tests/conftest.py || die
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ cd "${T}" || die
+ epytest "${S}"/tests --ignore "${S}"/tests/test_mypy.py
+}
diff --git a/dev-python/importlib_resources/Manifest b/dev-python/importlib_resources/Manifest
index cfaeebb06a0e..238c23cd7aab 100644
--- a/dev-python/importlib_resources/Manifest
+++ b/dev-python/importlib_resources/Manifest
@@ -1 +1,2 @@
DIST importlib_resources-5.4.0.tar.gz 30554 BLAKE2B f5be47cb63813aea15f65d251115cf398f695041871fdf6e8885fee11d9a9d7a2fbfd07efd494bd7c91077f99ab871e06d45f49de9f7e501a1691601206bfb55 SHA512 9262c185bdf79fad0a11caabc5c5df836702a74e140a9f60ace857e3f6a60fdb091639b2fb7129b17bad5a46968f43dda7d176fe39af495370dd31f04891fb1b
+DIST importlib_resources-5.6.0.tar.gz 30846 BLAKE2B 9a83554cd65b7851c4a8c977509f3fc255de3c5927661764e702eeae142b7d0cc75f809fe2a438b6f3acdb2facbdc3dadbf3f9dfed5615643dc15e04545dcf8c SHA512 d3c88dd5f1877b205b4c53ab9c8d4180ae87be0ff9dd11483024de40c84fe7da359f70337aeacc5df3b6deca88b903bb01850da8a54fd057e4174806ae767deb
diff --git a/dev-python/importlib_resources/importlib_resources-5.6.0.ebuild b/dev-python/importlib_resources/importlib_resources-5.6.0.ebuild
new file mode 100644
index 000000000000..669913fe47d8
--- /dev/null
+++ b/dev-python/importlib_resources/importlib_resources-5.6.0.ebuild
@@ -0,0 +1,43 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+# please keep this ebuild at EAPI 7 -- sys-apps/portage dep
+EAPI=7
+
+DISTUTILS_USE_PEP517=flit
+# This is a backport of Python 3.9's importlib.resources
+PYTHON_COMPAT=( python3_{7,8,9,10} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Read resources from Python packages"
+HOMEPAGE="https://github.com/python/importlib_resources"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-macos"
+
+RDEPEND="
+ $(python_gen_cond_dep '
+ >=dev-python/zipp-3.7.0-r1[${PYTHON_USEDEP}]
+ ' 3.8 3.9)"
+
+distutils_enable_tests unittest
+distutils_enable_sphinx docs dev-python/rst-linker dev-python/jaraco-packaging
+
+src_configure() {
+ grep -q 'build-backend = "setuptools' pyproject.toml ||
+ die "Upstream changed build-backend, recheck"
+ # write a custom pyproject.toml to ease setuptools bootstrap
+ cat > pyproject.toml <<-EOF || die
+ [build-system]
+ requires = ["flit_core >=3.2,<4"]
+ build-backend = "flit_core.buildapi"
+
+ [project]
+ name = "importlib_resources"
+ version = "${PV}"
+ description = "Read resources from Python packages"
+ EOF
+}
diff --git a/dev-python/jc/Manifest b/dev-python/jc/Manifest
index 9c9dda84ba31..4b12ce66cdc5 100644
--- a/dev-python/jc/Manifest
+++ b/dev-python/jc/Manifest
@@ -1,6 +1,2 @@
-DIST jc-1.17.7.tar.gz 3922848 BLAKE2B e075e5e2c7bd06d7c4310a2cb94b1ddd55014d9d8a920c100fcba01735188a7a9ed221224cc73e62efab02a9feb8d1f208a30964e41111063f1147299f098ce6 SHA512 be565377f3f776b387e4a8ff6bc07ac39c93bcf1a21e71cf96dd3474f459e07f050fd30b0b9281331a39c361155463b63c5a61f4271885126406029b5f9546a0
-DIST jc-1.18.1.tar.gz 3927394 BLAKE2B f87744e2cfdda10e6d2b1ea021f304e533ab1838de37f09b534e8ed1cf522d6267c96ac22d9ab665fdd593d27adcfa6da34f2f2471bae783585745882796ff8d SHA512 00fb9bfd2ebf9419c866ed56113310f3917e5dbbe538b0d48f5e66979773108f430168186fb350ed9494344f1ceb80e0bcef51344994b78e852b5c6305e9c474
-DIST jc-1.18.2.tar.gz 3928302 BLAKE2B 5deb67c56d3fc32728da6e67d7941c8ba01482c1ead86c82f68ed49c8aa53de8e88a77c3840db1f4d9c4d00ea5c96fdb9f7631d99f1dd9a288a41e2e9d50b797 SHA512 f425cc225fd4f993bb0a3c5065f0e90894e7330976dc4bfae08acd4559d0cad5a4cd14d93976814ea03f853ec0faf11bfc1c3b6b8b9d7a61071398d628ab57dc
-DIST jc-1.18.3.tar.gz 3970152 BLAKE2B bd37c2f4128005b39c4fd6b44664d2443f77830ca3158f0b4bb7133527e2543657f3d9654c8d845ada55c2940fc18cc7232117d3e298e3bfc62188250ee1b1c6 SHA512 8076668caaef2559537f828b45d0624f2a2ed35893e1c5af82671f3d97e1f71ebc22817f4036a0d60af183a5b3e717854672b2cfc65f776532ea8ca99ddfec35
-DIST jc-1.18.4.tar.gz 3981817 BLAKE2B f73f153913b02a29e88d75d49cf3f072124be0f23a5a65bf8c85e77bce3934d81406fabfaf5fb4cb9df57bb001b2772a6d31e6e3a3eb17b1cf71afb7d71178f1 SHA512 74eb22cfa7743ddb9477f7f0ab0afa24079e6003f4c25fc41cdfa492fefeda2a35b09bfd600e87c2cb1502667cd71c298af7f6995c097cee4e17df7476ce879b
DIST jc-1.18.5.tar.gz 3981643 BLAKE2B 9eebaef4e2ee0a014df5fa73f0fecf9d91c62483594d529d6ae9b1d538ee4c62ec1ab6f673f0f3fbb32220920c843e8fd6a487ecaaa9662b63128ff9df786dcc SHA512 f105aa3aa6e5059d06976d089f52eb9c8a1005e2b2c0b9ee2b4229e2f82028277a45979d34a6f81679c22472d7a99903711ac6946accdb86c796e790d121112e
+DIST jc-1.18.6.tar.gz 4007477 BLAKE2B 9380e8a254df921983f486d8d9d0e8479e477e391075ace3fcaa40029f72b733abd6d55ed62f4cd436bb280fa37d9bdec6398418e24c714caa833fcef2991d35 SHA512 ae291ea271e12cebd1e0287cdc8e3f52c72959711d9da752880a1a90257b3add23c6a4b97d34ee0ebfa2332e355b90f8388cd425d18f03aa37c4979765101086
diff --git a/dev-python/jc/jc-1.17.7.ebuild b/dev-python/jc/jc-1.17.7.ebuild
deleted file mode 100644
index a5a8a46beca6..000000000000
--- a/dev-python/jc/jc-1.17.7.ebuild
+++ /dev/null
@@ -1,25 +0,0 @@
-# Copyright 2022 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-PYTHON_COMPAT=( python3_{7,8,9,10} )
-
-inherit distutils-r1
-
-DESCRIPTION="Converts the output of popular command-line tools and file-types to JSON"
-HOMEPAGE="https://github.com/kellyjonbrazil/jc"
-SRC_URI="
- https://github.com/kellyjonbrazil/jc/archive/v${PV}.tar.gz
- -> ${P}.tar.gz
-"
-
-LICENSE="MIT"
-SLOT="0"
-KEYWORDS="~amd64"
-
-RDEPEND="dev-python/pygments[${PYTHON_USEDEP}]
- dev-python/ruamel-yaml[${PYTHON_USEDEP}]
- dev-python/xmltodict[${PYTHON_USEDEP}]"
-
-distutils_enable_tests unittest
diff --git a/dev-python/jc/jc-1.18.1.ebuild b/dev-python/jc/jc-1.18.1.ebuild
deleted file mode 100644
index d08698ed91e1..000000000000
--- a/dev-python/jc/jc-1.18.1.ebuild
+++ /dev/null
@@ -1,25 +0,0 @@
-# Copyright 2022 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-PYTHON_COMPAT=( python3_{7,8,9,10} )
-
-inherit distutils-r1
-
-DESCRIPTION="Converts the output of popular command-line tools and file-types to JSON"
-HOMEPAGE="https://github.com/kellyjonbrazil/jc"
-SRC_URI="
- https://github.com/kellyjonbrazil/jc/archive/v${PV}.tar.gz
- -> ${P}.tar.gz
-"
-
-LICENSE="MIT"
-SLOT="0"
-KEYWORDS="~amd64 ~ppc64"
-
-RDEPEND="dev-python/pygments[${PYTHON_USEDEP}]
- dev-python/ruamel-yaml[${PYTHON_USEDEP}]
- dev-python/xmltodict[${PYTHON_USEDEP}]"
-
-distutils_enable_tests unittest
diff --git a/dev-python/jc/jc-1.18.3.ebuild b/dev-python/jc/jc-1.18.3.ebuild
deleted file mode 100644
index 6c748171405c..000000000000
--- a/dev-python/jc/jc-1.18.3.ebuild
+++ /dev/null
@@ -1,26 +0,0 @@
-# Copyright 2022 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_USE_PEP517=setuptools
-PYTHON_COMPAT=( python3_{7,8,9,10} )
-
-inherit distutils-r1
-
-DESCRIPTION="Converts the output of popular command-line tools and file-types to JSON"
-HOMEPAGE="https://github.com/kellyjonbrazil/jc"
-SRC_URI="
- https://github.com/kellyjonbrazil/jc/archive/v${PV}.tar.gz
- -> ${P}.tar.gz
-"
-
-LICENSE="MIT"
-SLOT="0"
-KEYWORDS="~amd64 ~ppc64"
-
-RDEPEND="dev-python/pygments[${PYTHON_USEDEP}]
- dev-python/ruamel-yaml[${PYTHON_USEDEP}]
- dev-python/xmltodict[${PYTHON_USEDEP}]"
-
-distutils_enable_tests unittest
diff --git a/dev-python/jc/jc-1.18.4.ebuild b/dev-python/jc/jc-1.18.4.ebuild
deleted file mode 100644
index 6c748171405c..000000000000
--- a/dev-python/jc/jc-1.18.4.ebuild
+++ /dev/null
@@ -1,26 +0,0 @@
-# Copyright 2022 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_USE_PEP517=setuptools
-PYTHON_COMPAT=( python3_{7,8,9,10} )
-
-inherit distutils-r1
-
-DESCRIPTION="Converts the output of popular command-line tools and file-types to JSON"
-HOMEPAGE="https://github.com/kellyjonbrazil/jc"
-SRC_URI="
- https://github.com/kellyjonbrazil/jc/archive/v${PV}.tar.gz
- -> ${P}.tar.gz
-"
-
-LICENSE="MIT"
-SLOT="0"
-KEYWORDS="~amd64 ~ppc64"
-
-RDEPEND="dev-python/pygments[${PYTHON_USEDEP}]
- dev-python/ruamel-yaml[${PYTHON_USEDEP}]
- dev-python/xmltodict[${PYTHON_USEDEP}]"
-
-distutils_enable_tests unittest
diff --git a/dev-python/jc/jc-1.18.2.ebuild b/dev-python/jc/jc-1.18.6.ebuild
index 6c748171405c..6c748171405c 100644
--- a/dev-python/jc/jc-1.18.2.ebuild
+++ b/dev-python/jc/jc-1.18.6.ebuild
diff --git a/dev-python/tifffile/Manifest b/dev-python/tifffile/Manifest
index 0267cf48b0ee..a6d075151da1 100644
--- a/dev-python/tifffile/Manifest
+++ b/dev-python/tifffile/Manifest
@@ -1 +1,2 @@
DIST tifffile-2022.3.16.gh.tar.gz 263653 BLAKE2B fcd30e2fd38a12438332badb17e937ab095a8088f9c878b84166a67c7486f436a76d39832df22362f7a74de5da537602da82c982fb4dc0699fba1603adefdcef SHA512 8069a87b241cbb11b3efa8ff679106f2f11ff9045d790fb1612076a60b87791f30afffb55b57d19b70ab4441935f418ad91fb0956ab572890704023e63dea84a
+DIST tifffile-2022.3.25.gh.tar.gz 265082 BLAKE2B dd5f3705cb7203fe943b97a5ed5c000b44abf48ec748f38a1468e27e82bd980e4100dd14af5cfd6af5bdee9d0036c5dce37efca1e515f2eb283c0e221150915a SHA512 dc9018991989ca4b89be6f315aaa45ff2fb94c504dd4c1790af1ec68e05a1da85560f5098df2f460b726cea0d4b0e4fc3f12d493dc1a1db8e2cc35d86f547ddf
diff --git a/dev-python/tifffile/tifffile-2022.3.25.ebuild b/dev-python/tifffile/tifffile-2022.3.25.ebuild
new file mode 100644
index 000000000000..81f6aff8cb5a
--- /dev/null
+++ b/dev-python/tifffile/tifffile-2022.3.25.ebuild
@@ -0,0 +1,52 @@
+# Copyright 2021-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+
+inherit distutils-r1
+
+DESCRIPTION="Read and write TIFF files"
+HOMEPAGE="
+ https://pypi.org/project/tifffile/
+ https://github.com/cgohlke/tifffile/
+ https://www.lfd.uci.edu/~gohlke/
+"
+SRC_URI="
+ https://github.com/cgohlke/tifffile/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+ >=dev-python/numpy-1.19.2[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/dask[${PYTHON_USEDEP}]
+ >=dev-python/fsspec-2021.5.0[${PYTHON_USEDEP}]
+ dev-python/lxml[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+EPYTEST_DESELECT=(
+ # Internet
+ tests/test_tifffile.py::test_class_omexml
+ tests/test_tifffile.py::test_class_omexml_fail
+ tests/test_tifffile.py::test_class_omexml_modulo
+ tests/test_tifffile.py::test_class_omexml_attributes
+ tests/test_tifffile.py::test_class_omexml_multiimage
+ tests/test_tifffile.py::test_write_ome
+ tests/test_tifffile.py::test_write_ome_manual
+ # requires tons of free space
+ tests/test_tifffile.py::test_write_3gb
+ tests/test_tifffile.py::test_write_bigtiff
+ 'tests/test_tifffile.py::test_write_imagej_raw'
+)
diff --git a/dev-python/virtualenv/Manifest b/dev-python/virtualenv/Manifest
index 994dde652def..6085d7c7ebf6 100644
--- a/dev-python/virtualenv/Manifest
+++ b/dev-python/virtualenv/Manifest
@@ -1,2 +1,3 @@
DIST virtualenv-20.13.3.tar.gz 12152717 BLAKE2B 791eff66e02d0e7b563d68136cf9652ca0e7422cde94ddf558053778e7677937f7f3ddd9e2d6d0a5fd56c79d9061474685b39aa8519471cea230f4dc5ea71c83 SHA512 e9e05e6e6aba10bb6c0813484f508aede9fe2a78401272bb12ea68b80e8f4059f4292de51e37c2487efb92d27f6eeda6e108dd12f45623984966d8fe821352c0
DIST virtualenv-20.13.4.tar.gz 12153741 BLAKE2B 050553253f2576917b71eccb94b9a4f370d8c131c61fd84e1d4e6445181c793435ca7ce988ff62cffedb406d357c52337ba5ad921f1837ac29d81896958b58e0 SHA512 d2800ce3830ac154e9c0f03fe96535286a4322b89ef94c01638065ec353ee1dc439f7dbdbd9647836e514e828781c5a48fce3723f80c32bfa9ce96243610a396
+DIST virtualenv-20.14.0.tar.gz 12209889 BLAKE2B d6b89f71009109ec688045b92fa2907baa2a174a8736b66e3635b125d05f9cedf2b0cf26497e47193d3c99d44b94b899205e8b94d20beeeacab0b22b47e3eb41 SHA512 c4f1b40187d847602cb2ccef1be9ecce6acd234d08abf5967219d8cf900e641337ce027018c2cca566409a5ab3dda1f363d7381a0d2f676000c04e10677bfada
diff --git a/dev-python/virtualenv/virtualenv-20.14.0.ebuild b/dev-python/virtualenv/virtualenv-20.14.0.ebuild
new file mode 100644
index 000000000000..7e24a17889ab
--- /dev/null
+++ b/dev-python/virtualenv/virtualenv-20.14.0.ebuild
@@ -0,0 +1,99 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Virtual Python Environment builder"
+HOMEPAGE="
+ https://virtualenv.pypa.io/en/stable/
+ https://pypi.org/project/virtualenv/
+ https://github.com/pypa/virtualenv/
+"
+SRC_URI="mirror://pypi/${PN::1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+SLOT="0"
+
+RDEPEND="
+ >=dev-python/backports-entry_points_selectable-1.0.4[${PYTHON_USEDEP}]
+ >=dev-python/distlib-0.3.1[${PYTHON_USEDEP}]
+ >=dev-python/filelock-3[${PYTHON_USEDEP}]
+ >=dev-python/platformdirs-2[${PYTHON_USEDEP}]
+ >=dev-python/setuptools-41[${PYTHON_USEDEP}]
+ >=dev-python/six-1.9.0[${PYTHON_USEDEP}]
+"
+# coverage is used somehow magically in virtualenv, maybe it actually
+# tests something useful
+BDEPEND="
+ dev-python/setuptools_scm[${PYTHON_USEDEP}]
+ test? (
+ dev-python/coverage[${PYTHON_USEDEP}]
+ dev-python/flaky[${PYTHON_USEDEP}]
+ >=dev-python/pip-20.0.2[${PYTHON_USEDEP}]
+ >=dev-python/pytest-freezegun-0.4.1[${PYTHON_USEDEP}]
+ >=dev-python/pytest-mock-2.0.0[${PYTHON_USEDEP}]
+ >=dev-python/pytest-timeout-1.3.4[${PYTHON_USEDEP}]
+ dev-python/wheel[${PYTHON_USEDEP}]
+ >=dev-python/packaging-20.0[${PYTHON_USEDEP}]
+ )
+"
+
+# (unpackaged deps)
+#distutils_enable_sphinx docs \
+# dev-python/sphinx-argparse \
+# dev-python/sphinx_rtd_theme \
+# dev-python/towncrier
+distutils_enable_tests pytest
+
+src_configure() {
+ export SETUPTOOLS_SCM_PRETEND_VERSION=${PV}
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ tests/unit/activation/test_xonsh.py
+ tests/unit/seed/embed/test_bootstrap_link_via_app_data.py::test_seed_link_via_app_data
+ tests/unit/create/test_creator.py::test_cross_major
+ )
+ [[ ${EPYTHON} == pypy3 ]] && EPYTEST_DESELECT+=(
+ 'tests/unit/create/test_creator.py::test_create_no_seed[root-pypy3-posix-copies-isolated]'
+ 'tests/unit/create/test_creator.py::test_create_no_seed[root-pypy3-posix-copies-global]'
+ 'tests/unit/create/test_creator.py::test_create_no_seed[venv-pypy3-posix-copies-isolated]'
+ 'tests/unit/create/test_creator.py::test_create_no_seed[venv-pypy3-posix-copies-global]'
+ 'tests/unit/create/test_creator.py::test_create_no_seed[root-venv-copies-isolated]'
+ 'tests/unit/create/test_creator.py::test_create_no_seed[root-venv-copies-global]'
+ 'tests/unit/create/test_creator.py::test_create_no_seed[venv-venv-copies-isolated]'
+ 'tests/unit/create/test_creator.py::test_create_no_seed[venv-venv-copies-global]'
+ 'tests/unit/create/test_creator.py::test_zip_importer_can_import_setuptools'
+ 'tests/unit/discovery/py_info/test_py_info_exe_based_of.py::test_discover_ok[PyPy-3.7.9-64-bin-]'
+ 'tests/unit/discovery/py_info/test_py_info_exe_based_of.py::test_discover_ok[PyPy-3.7.9--bin-]'
+ 'tests/unit/discovery/py_info/test_py_info_exe_based_of.py::test_discover_ok[PyPy-3.7.10-64-bin-]'
+ 'tests/unit/discovery/py_info/test_py_info_exe_based_of.py::test_discover_ok[PyPy-3.7.10--bin-]'
+ 'tests/unit/discovery/py_info/test_py_info_exe_based_of.py::test_discover_ok[PyPy-3.7-64-bin-]'
+ 'tests/unit/discovery/py_info/test_py_info_exe_based_of.py::test_discover_ok[PyPy-3.7--bin-]'
+ 'tests/unit/discovery/py_info/test_py_info_exe_based_of.py::test_discover_ok[PyPy-3-64-bin-]'
+ 'tests/unit/discovery/py_info/test_py_info_exe_based_of.py::test_discover_ok[PyPy-3--bin-]'
+ 'tests/unit/discovery/py_info/test_py_info_exe_based_of.py::test_discover_ok[python-3.7.9-64-bin-]'
+ 'tests/unit/discovery/py_info/test_py_info_exe_based_of.py::test_discover_ok[python-3.7.9--bin-]'
+ 'tests/unit/discovery/py_info/test_py_info_exe_based_of.py::test_discover_ok[python-3.7.10-64-bin-]'
+ 'tests/unit/discovery/py_info/test_py_info_exe_based_of.py::test_discover_ok[python-3.7.10--bin-]'
+ 'tests/unit/discovery/py_info/test_py_info_exe_based_of.py::test_discover_ok[python-3.7-64-bin-]'
+ 'tests/unit/discovery/py_info/test_py_info_exe_based_of.py::test_discover_ok[python-3.7--bin-]'
+ 'tests/unit/discovery/py_info/test_py_info_exe_based_of.py::test_discover_ok[python-3-64-bin-]'
+ 'tests/unit/discovery/py_info/test_py_info_exe_based_of.py::test_discover_ok[python-3--bin-]'
+ )
+
+ epytest
+}
+
+pkg_postinst() {
+ elog "Please note that while virtualenv package no longer supports"
+ elog "Python 2.7, you can still create py2.7 virtualenvs via:"
+ elog " $ virtualenv -p 2.7 ..."
+}
diff --git a/dev-python/xdoctest/Manifest b/dev-python/xdoctest/Manifest
index 27abaf468fdc..767b83d77913 100644
--- a/dev-python/xdoctest/Manifest
+++ b/dev-python/xdoctest/Manifest
@@ -1 +1,2 @@
DIST xdoctest-0.15.10.gh.tar.gz 191579 BLAKE2B 4836b773c3cf664c825433199b13ab7d3fe2c68538517bf5594797ad3f2f894d0132034fdafbc4502a00ec7393c19473fafe15fcf0257e3565592dc9907e3d71 SHA512 18c1a2774ae9331582610e3459a02f4e4de838218e7250af071570b2318f4c14330084b9fb903d88651fc40a4ba12b686ee6f2ca165edd8155e908ae4992a840
+DIST xdoctest-1.0.0.gh.tar.gz 193294 BLAKE2B 95725757faafd2a15652557e07753ad8c4a8ee57b545169ba29b6e8f0ef5c7a021eff3c092cfe123da91311db98ef7700b29d52b1418a8160869402fb4ecfcab SHA512 8c77fbd8fcd1a3030b33651d35567dd4506ece3aa2c6155223d5cdea6e16510b59bcbd5b9ebb6dc13e20af92c5d07dc205485566b836874e835b18a53cbe7355
diff --git a/dev-python/xdoctest/xdoctest-1.0.0.ebuild b/dev-python/xdoctest/xdoctest-1.0.0.ebuild
new file mode 100644
index 000000000000..0bb1ae4b4e5f
--- /dev/null
+++ b/dev-python/xdoctest/xdoctest-1.0.0.ebuild
@@ -0,0 +1,35 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+
+inherit distutils-r1
+
+DESCRIPTION="A rewrite of Python's builtin doctest module but without all the weirdness"
+HOMEPAGE="https://github.com/Erotemic/xdoctest/"
+SRC_URI="
+ https://github.com/Erotemic/xdoctest/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+SLOT="0"
+LICENSE="Apache-2.0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+ dev-python/six[${PYTHON_USEDEP}]
+"
+# dev-python/nbformat-5.1.{0..2} did not install package data
+BDEPEND="
+ test? (
+ >=dev-python/nbformat-5.1.2-r1[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+#distutils_enable_sphinx docs/source \
+# dev-python/autoapi \
+# dev-python/sphinx_rtd_theme